$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-130a0ef20efdd546d30e883aec3fa395cc296c70/rpcs3-v0.0.12-11084-130a0ef2_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '4f000deb542fbb9b8b0a4661f49638963a142adc90afec4a1873d02b0fddf831'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
